Încercarea de a modifica MC Forge 1.12.2, dar SetupDecompWorkspace nu funcționează (Programare, Java, Minecraft Forge)

Exabyte314 a intrebat.

Încerc să fac un mod pentru Minecraft Forge 1.12.2, fișierul mdk forge-1.12.2-14.23.5.2854-mdk. Problema este că atunci când dau click dreapta în interiorul acestui folder, deschid Powershell și execut fișierul ./gradlew setupDecompWorkspace eclipse apare un jurnal de erori:

forge-1.12.2-14.23.5.2854-mdk> ./gradlew setupDecompWorkspace eclipse Pentru a onora setările JVM pentru această construcție, se va crea o nouă JVM. Vă rugăm să aveți în vedere utilizarea daemonului: https://docs.gradlDaemon va fi oprit la sfârșitul construcției, oprindu-se după procesarea

FAILURE: Construirea a eșuat cu o excepție.

  • Ce a mers prost: A apărut o problemă la configurarea proiectului rădăcină ‘forge-1.12.2-14.23.5.2854-mdk’.

Nu a putut rezolva toate artefactele pentru configurația ‘:classpath’.Nu a putut rezolva net.minecraftforge.gradle:ForgeGradle:3.+.Necesar pentru:proiect :> Nu s-a reușit să se listeze versiunile pentru net.minecraftforge.gradle:ForgeGradle.> Nu s-a putut încărca meta-date Maven de la https://files.minecraftforge.net/maven/net/minecraftforge/gradle/ForgeGradle/maven-metadata.xml.> Could not get resource ‘https://files.minecraftforge.net/maven/net/minecraftforge/gradle/ForgeGradle/maven-metadata.xml’.> Could not GET ‘https://files.minecraftforge.net/maven/net/minecraftforge/gradle/ForgeGradle/maven-metadata.xml’.> sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target> Failed to list versions for net.minecraftforge.gradle:ForgeGradle.> Unable to load Maven meta-data from https://jcenter.bintray.com/net/minecraftforge/gradle/ForgeGradle/maven-metadata.xml.> Could not get resource ‘https://jcenter.bintray.com/net/minecraftforge/gradle/ForgeGradle/maven-metadata.xml’.> Could not GET ‘https://jcenter.bintray.com/net/minecraftforge/gradle/ForgeGradle/maven-metadata.xml’.> sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target> Failed to list versions for net.minecraftforge.gradle:ForgeGradle.> Unable to load Maven meta-data from https://repo.maven.apache.org/maven2/net/minecraftforge/gradle/ForgeGradle/maven-metadata.xml.> Could not get resource ‘https://repo.maven.apache.org/maven2/net/minecraftforge/gradle/ForgeGradle/maven-metadata.xml’.> Could not GET ‘https://repo.maven.apache.org/maven2/net/minecraftforge/gradle/ForgeGradle/maven-metadata.xml’.> sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target

  • Încercați: Rulați cu opțiunea –stacktrace pentru a obține urmărirea stivei. Rulați cu opțiunea –info sau –debug pentru a obține mai multe ieșiri de jurnal. Rulați cu opțiunea –scan pentru a obține informații complete.

  • Obțineți mai mult ajutor la https://help.gradle.org

BUILD FAILED în 6s

Mă poate ajuta cineva cu această problemă? Nu sunt sigur ce altceva să încerc.

Comentarii

  • Posibil de ajutor: forums.minecraftforge.net/topic/82543-1152-gradle-build-fail/… ” Problema este că orice JDK pe care îl folosești nu are certificatul rădăcină al LetsEncrypt. Asigurați-vă că folosiți jdk-8.0.242.08-hotspot sau mai nou” – –  > Por sorifiend.
  • trebuie să aibă „-hotspot” la sfârșitul numelui de fișier? @sorifiend –  > Por Exabyte314.
  • atâta timp cât descărcați de pe oracle JDK sau OpenJDK, atunci va fi în regulă. –  > Por sorifiend.
1 răspunsuri
Puls

(Nu am putut face un comentariu pentru că nu are suficientă reputație) S-ar putea să fi schimbat modul în care trebuie să îți configurezi mediul mod. Conform instrucțiunilor lor, ar trebui să rulați mai întâi comanda gradlew genEclipseRuns, , care va genera fișierul runClient și runServer configurații care vă vor permite să faceți clic pe butonul „Run” din eclipse. După aceea, ar trebui să executați comanda gradlew eclipse. Acest lucru ar trebui să vă configureze folderul Eclipse. Ceea ce fac eu de obicei după aceea este să intru în Eclipse, să merg la File, , apoi Import, , apoi în bara de căutare căutați Proiecte Gradle existente. Puneți în caseta de text directory directorul din Forge MDK pe care l-ați extras și faceți clic pe done. Ar trebui să înceapă să importe bibliotecile necesare necesare. După aceea, sunteți gata.

Se pare că linkurile din care Forge încearcă să extragă datele sunt depășite, deoarece dacă încercați să faceți clic pe ele, acestea duc la un mesaj 404 Error. (Fișierul trebuie să fi fost șters).